### Method

# Xdp Portal open_uri

#### Declaration [src]

    void
    xdp_portal_open_uri (
      XdpPortal* portal,
      XdpParent* parent,
      const char* uri,
      XdpOpenUriFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Opens `uri` with an external handler.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The data is owned by the caller of the method.

`uri`

  Type: `const char*`

  The URI to open.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `XdpOpenUriFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.